Skip to main content
GET
/
v3
/
bundles
List business bundles
curl --request GET \
  --url https://api.myscalev.com/v3/bundles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "business": {
        "account_holder": "<string>",
        "email": "jsmith@example.com",
        "id": 123,
        "is_banned": true,
        "logo": "<string>",
        "unique_id": "<string>",
        "username": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "aff_code": "<string>",
        "avatar": "<string>",
        "email": "jsmith@example.com",
        "fullname": "<string>",
        "id": 123,
        "phone": "<string>"
      },
      "custom_id": "<string>",
      "description": "<string>",
      "display": "<string>",
      "id": 123,
      "images": [
        "<string>"
      ],
      "is_bundle_sharing": true,
      "last_updated_at": "2023-11-07T05:31:56Z",
      "last_updated_by": {
        "aff_code": "<string>",
        "avatar": "<string>",
        "email": "jsmith@example.com",
        "fullname": "<string>",
        "id": 123,
        "phone": "<string>"
      },
      "name": "<string>",
      "public_name": "<string>",
      "variants_count": 123,
      "weight_bump": 123
    }
  ],
  "is_paginated": true,
  "has_next": false,
  "last_id": 99,
  "page_size": 25
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer

Number of items per page (default: 25, max: 25)

Required range: x <= 25
Example:

25

last_id
integer

Last order ID for cursor-based pagination

Search term to filter bundles by name (case-insensitive, partial match)

is_bundle_sharing
boolean

Filter bundles by their sharing status

store_id
integer

Filter bundles that have price options available in the specified store ID

label
string

Filter bundles that are associated with the specified label

Response

Bundles list

Paginated list payload for v3.

data
BundleList · object[]
required
is_paginated
enum<boolean>
required
Available options:
true
Example:

true

has_next
boolean
default:false
Example:

false

last_id
integer | null
Example:

99

page_size
integer
default:25
Example:

25